<?php
class AdminModulesLinkFix extends Module {
	private function replaceString($file, $old, $new){
		$str=file_get_contents($file);
		$str=str_replace("$old", "$new", $str);
		file_put_contents($file, $str);
	}
	
	public function __construct()
	{
		$this->name = 'adminmoduleslinkfix';
		$this->tab = 'administration';
		$this->version = '1.0';
		$this->author = 'Zax37';
		parent::__construct();
		$this->displayName = $this->l('Admin modules link fix');
		$this->description = $this->l('Changes default modules tab from catalog to installed modules.');
		$this->ps_versions_compliancy = array('min' => '1.7', 'max' => _PS_VERSION_);
	}

	public function install() {
		parent::install();
		$this->replaceString(__DIR__."\..\..\classes\Link.php", "admin_module_catalog", "admin_module_manage");
		return true;
	}
  
	public function uninstall() {
		parent::uninstall();
		$this->replaceString(__DIR__."\..\..\classes\Link.php", "admin_module_manage", "admin_module_catalog");
		return true;
	}
}
?>